networks:
  web:
    external: true

services:
  collabora:
    image: collabora/code:latest
    restart: unless-stopped
    environment:
      - DONT_GEN_SSL_CERT=YES
      - extra_params=--o:ssl.enable=false --o:ssl.termination=true
      - dictionaries=fr_FR,en_US,en_GB
    env_file:
      - .env
    cap_add:
      - MKNOD
    labels:
      traefik.enable: "true"
      traefik.http.routers.collabora.rule: "Host(`${CHATONS_SERVICE:-collabora}.${CHATONS_DOMAIN:-localhost}`)"
      traefik.http.middlewares.collabora.headers.customrequestheaders.X-Forwarded-Proto: 'https'
    networks:
      - web
